/**
* Xelfi
*/

package xelfi.design.components.property;

import java.io.*;
import xelfi.util.Debug;

/**
 *
 * @version 	1.40, 08 Feb 1996 (from version 1.30 persistence is added)
 * @author 	Ian Formanek
 */

public class XIntegerPropertyType {
	public static String viewString(Object property) { 
		return ((Integer)property).toString();
	}

	public static void saveToStream(Object property, DataOutput stream) throws 
		IOException {
		stream.writeInt(((Integer)property).intValue());
		Debug.debug(Debug.PROPIO_SAVE, "XIntegerProperty saved: "+((Integer)property).intValue());
	}

	public static Integer loadFromStream(DataInput stream) throws 
		IOException {
		int property = stream.readInt();
		Debug.debug(Debug.PROPIO_LOAD, "XIntegerProperty loaded: "+property);
		return new Integer(property);
	}
}
