/**
* Xelfi programming environment
*/

package xelfi.editor;
/**
*
* @version 1.0
* @author Jaroslav Tulach
*/

class WordSearchBack extends WordSearch {
  /**
  * should we continue or stop the action?
  * @param ch the character at specified position
  * @return true/false
  */
  public boolean accept (char ch) {
    if (ch == '\n' && once) return true;
    once = true;
    if (!isSpace (ch)) {
      occured = true;
    } else {
      if (occured) return true;
    };
    return false;
  };
};


