/**
* Xelfi Environment
*/

package xelfi.editor.keys;
import java.util.Vector;
import java.util.Enumeration;

/** Command class. Contains name of method and its parameters
*
* @author Jaroslav Tulach
* @version 1.0
*/
class ConfigCommand extends Object {
  /** name of the method */
  public String name;
  /** the parameters */
  public Vector param;

  /**
  * @name name of the method
  * @param parameters
  */
  public ConfigCommand (String name, Vector param) {
    this.name = name;
    this.param = param;
   }

  /** Converts to string
  * @return the string
  */
  public String toString () {
    StringBuffer sb = new StringBuffer (name);
    Enumeration en = param.elements ();
    while (en.hasMoreElements ()) {
      sb.append (' ');
      sb.append (en.nextElement ().toString ());
    };
    return sb.toString ();
  };

}








// Generated from substitution template 'Class' Blocks:Class:9,23,22,23; Class:6,13,19,13; 
