/**
* Xelfi programming environment
*/

package xelfi.templates;
import xelfi.util.EnhProperties;
/**
*
* @version $Id$
* @autor Jaroslav Tulach
*/

class TemplateWriter extends Object implements xelfi.awt.XelfiElementComparer {

  /** list of properties */
  EnhProperties enh;

  /** count */
  int count = 0;
  
  public TemplateWriter (EnhProperties p) {
    enh = p;
  };
  
  /** Stores the first template to properties.
  * @param first the first template
  * @param second null
  * @return always false
  */
  public boolean compare (Object first, Object second) {
    Template t = (Template) first;
    if (t.saveToProperties) {
      enh.put ("xelfi.templates." + count++, t.toString ());
    };
    return false;
  };
};








