/**
* Xelfi programming environment
*/

package xelfi.xedit;

import xelfi.top.XFColorCallback;
import xelfi.top.XFColor;
import xelfi.editor.StandardEditorCallback;
/**
* Draw comments in different color.
*
* @version 1.0
* @author Jaroslav Tulach
*/
class XelfiEditorColorCallback extends Object implements XFColorCallback {
  /** This method is called when color settings were chenged. */
  public void colorsChanged () {
    StandardEditorCallback.normalFore = XFColor.getFgColor (XFColor.OtherText);
    StandardEditorCallback.normalBack = XFColor.getBgColor (XFColor.OtherText);
    StandardEditorCallback.selectFore = XFColor.getFgColor (XFColor.SelectedText);
    StandardEditorCallback.selectBack = XFColor.getBgColor (XFColor.SelectedText);
    SyntaxComments.commentColor = XFColor.getFgColor (XFColor.Comment);
    SyntaxComments.stringColor = XFColor.getFgColor (XFColor.StringConst);
  };
};














// Generated from substitution template 'Class' Blocks:Class:6,15,30,15; Package:8,4,19,4; 
