/** XelfiPath utility class
* @author: Filip Dvorak
* @version: 1.0
*/

package xelfi.util;

import java.io.File;

public class XelfiPath extends PathScanner
{
  static protected String pathus = setPath();

    // In this static code it scans the CLASSPATH for a directory xelfi
  protected static String setPath()
  {

    String path = resolveName("xelfi" + File.separator + "Xelfi.class", System.getProperty("java.class.path"));
    path = path.substring(0, path.length() - File.separator.length() - 11);
    return path;
  }

    /** Returns the path to the xelfi directory. If for example the "main" xelfi class is installed
      in the "/java/xelfi/Xelfi.class" this method returns "/java/xelfi"
    */
  public static String get()
  {
    return new String(pathus);
  }
}











